﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Runtime.Intrinsics.X86;
using System.Text;
using System.Threading.Tasks;

namespace CanYouBuildIt.Model
{
    public class Build
    {
        public int id { get; private set; }
        public float prix { get; private set; }
        public Composant boitier { get; private set; }
        public Composant processeur { get; private set; }
        public Composant ventirad { get; private set; }
        public Composant cartemere { get; private set; }
        public Composant memoirevive { get; private set; }
        public Composant cartegraphique  { get; private set; }
        public Composant alimentation { get; private set; }
        public Composant ventilateur { get; private set; }
        public Composant SSD { get; private set; }
        public Composant HDD { get; private set; }

        //public List<Composant> listComp { get; private set; }



        public Build(int idBuild, float prixBuild, Composant boitier, Composant processeur, Composant ventirad, Composant cartemere, Composant memoirevive, Composant cartegraphique, Composant alimentation, Composant ventilateur = null, Composant ssd = null, Composant hdd = null)
        {
            id = idBuild;
            prix = prixBuild;
            this.boitier        = boitier;
            this.processeur     = processeur;
            this.ventirad       = ventirad;
            this.cartemere      = cartemere;
            this.memoirevive    = memoirevive;
            this.cartegraphique = cartegraphique;
            this.alimentation   = alimentation;
            if (ventilateur != null)  
                this.ventilateur = ventilateur;
            if (ssd != null)
                this.SSD = ssd;
            if (hdd != null)
                this.HDD = hdd;
            

        }
    
    }
}
